# Generated by Django 3.2.8 on 2021-10-05 10:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Term',
            fields=[
                ('created_on', models.DateTimeField(auto_created=True)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('statement', models.TextField()),
                ('identifier', models.UUIDField()),
                ('parent', models.UUIDField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('created_on', models.DateTimeField(auto_created=True)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('author', models.TextField()),
                ('content', models.TextField()),
                ('term', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='codex.term')),
            ],
        ),
        migrations.CreateModel(
            name='Change',
            fields=[
                ('created_on', models.DateTimeField(auto_created=True)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('message', models.TextField()),
                ('term', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='codex.term')),
            ],
        ),
    ]
